# Visualization
TKService
PlotMgt

# PlotMgt_ImageDriver Class Reference

`#include <PlotMgt_ImageDriver.hxx>`

Inheritance diagram for PlotMgt_ImageDriver:

[legend]

## Public Member Functions

Standard_EXPORT | PlotMgt_ImageDriver (const Handle(PlotMgt_Plotter)&aPlotter, const Standard_CString aName)
Standard_EXPORT | PlotMgt_ImageDriver (const Standard_CString aName)
Standard_EXPORT void | BeginDraw ()
| Begins a new page of graphics in the plotter file name. .
Standard_EXPORT void | EndDraw (const Standard_Boolean dontFlush=Standard_False)
| Flush all graphics and Wait after up to date .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT PlotMgt_ImageDriver::PlotMgt_ImageDriver | ( | const Handle(PlotMgt_Plotter)& | aPlotter,
|  | const Standard_CString | aName
| ) |

Standard_EXPORT PlotMgt_ImageDriver::PlotMgt_ImageDriver | ( | const Standard_CString | aName | ) |

## Member Function Documentation

Standard_EXPORT void PlotMgt_ImageDriver::BeginDraw | ( |  | ) | `[virtual]`

| Implements PlotMgt_PlotterDriver.

Standard_EXPORT void PlotMgt_ImageDriver::EndDraw | ( | const Standard_Boolean | dontFlush = `Standard_False` | ) | `[virtual]`

| Implements Aspect_Driver.

Standard_EXPORT const PlotMgt_ImageDriver::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PlotMgt_PlotterDriver.

The documentation for this class was generated from the following file:

- PlotMgt_ImageDriver.hxx